<template>
    <div>
        <slot></slot>
    </div>
</template>

<script>
export default {
    props: ['marketoid'],

    mounted() {
        if(typeof MktoForms2 != "undefined") {
            MktoForms2.loadForm("//app-ab37.marketo.com", "512-AZY-771", this.marketoid);        
            window.addEventListener('rpCountryInitalized', function() {
                MktoForms2.whenReady( function(_form) {
                    var form = $('.mktoForm');
                    if (form) {
                        form.find('input[name=region]').val(window.region);
                        form.find('input[name=Country]').val(window.countryCode);
                    }
                });
            });
        }
    }
}
</script>